# Contributing to Batarangle

### Pull Requests

The core team will be monitoring for pull requests.

*Before* submitting a pull request, please make sure the following is done…

1. Fork the repo and create your branch from `master`.
2. If you've added code that should be tested, add tests.
3. If you've changed APIs, development workflow or aspects of the architecrure, update the corresponding documentation.
4. TypeScript linter is part of our build task, make sure your code lints before submitting your PRs.

## Bugs

### Where to Find Known Issues

We are using GitHub Issues for our public bugs. We will keep track on this and will to make it clear when we have an internal fix in progress. Before filing a new task, try to make sure your problem doesn't already exist.

We are using [ZenHub](https://www.zenhub.io/) to manage our sprints and milestones. Add it to your GitHub account to see what is in the current sprint/milestone.

### Reporting New Issues

The best way to get a bug fixed is to provide a test case with either one of the example apps bundled in the repo, or by making your own Angular 2.0 application illustrating the reduced use case.

## How to Get in Touch

We are using a Slack for all of our communication. If you want to contribute or need help getting started, join us on Slack by filling in [this form](https://rangle.typeform.com/to/SQsWag).

## Coding Style

* Use semicolons;
* Commas last,
* 2 spaces for indentation (no tabs)
* Prefer `'` over `"`
* 80 character line length
* ...

More information can be found in `tslint.json` file of this repository.
TypeScript linter is part of our build task and will run in either `npm run build` or `npm start`

## License

[MIT](LICENSE)
